package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussJftReceiptOrder implements Serializable {
    private Integer id;

    private Integer rid;

    private BigDecimal amount;

    private String status;

    private String paytype;

    private String ordernumber;

    private Integer userid;

    private String merchantcode;

    private String merchantname;

    private String payuserid;

    private String name;

    private String phone;

    private String goods;

    private String address;

    private String transno;

    private String channeltransno;

    private Date transtime;

    private Integer rate;

    private Date createtime;

    private BigDecimal channelfee;

    private BigDecimal mercfee;

    private BigDecimal cashfee;

    private String paydata;

    private String remark;

    private Date createdate;

    private BigDecimal profitfee;

    private String payusercity;

    private String subject;

    private String mercorderno;

    private String mercnotifyurl;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getRid() {
        return rid;
    }

    public void setRid(Integer rid) {
        this.rid = rid;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getPaytype() {
        return paytype;
    }

    public void setPaytype(String paytype) {
        this.paytype = paytype == null ? null : paytype.trim();
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getPayuserid() {
        return payuserid;
    }

    public void setPayuserid(String payuserid) {
        this.payuserid = payuserid == null ? null : payuserid.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getGoods() {
        return goods;
    }

    public void setGoods(String goods) {
        this.goods = goods == null ? null : goods.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getTransno() {
        return transno;
    }

    public void setTransno(String transno) {
        this.transno = transno == null ? null : transno.trim();
    }

    public String getChanneltransno() {
        return channeltransno;
    }

    public void setChanneltransno(String channeltransno) {
        this.channeltransno = channeltransno == null ? null : channeltransno.trim();
    }

    public Date getTranstime() {
        return transtime;
    }

    public void setTranstime(Date transtime) {
        this.transtime = transtime;
    }

    public Integer getRate() {
        return rate;
    }

    public void setRate(Integer rate) {
        this.rate = rate;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public BigDecimal getChannelfee() {
        return channelfee;
    }

    public void setChannelfee(BigDecimal channelfee) {
        this.channelfee = channelfee;
    }

    public BigDecimal getMercfee() {
        return mercfee;
    }

    public void setMercfee(BigDecimal mercfee) {
        this.mercfee = mercfee;
    }

    public BigDecimal getCashfee() {
        return cashfee;
    }

    public void setCashfee(BigDecimal cashfee) {
        this.cashfee = cashfee;
    }

    public String getPaydata() {
        return paydata;
    }

    public void setPaydata(String paydata) {
        this.paydata = paydata == null ? null : paydata.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public BigDecimal getProfitfee() {
        return profitfee;
    }

    public void setProfitfee(BigDecimal profitfee) {
        this.profitfee = profitfee;
    }

    public String getPayusercity() {
        return payusercity;
    }

    public void setPayusercity(String payusercity) {
        this.payusercity = payusercity == null ? null : payusercity.trim();
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject == null ? null : subject.trim();
    }

    public String getMercorderno() {
        return mercorderno;
    }

    public void setMercorderno(String mercorderno) {
        this.mercorderno = mercorderno == null ? null : mercorderno.trim();
    }

    public String getMercnotifyurl() {
        return mercnotifyurl;
    }

    public void setMercnotifyurl(String mercnotifyurl) {
        this.mercnotifyurl = mercnotifyurl == null ? null : mercnotifyurl.trim();
    }
}